Alokai

SapccApiGetConsentTemplateRequest

Request parameters for getConsentTemplate operation in SapccApi. SapccApiGetConsentTemplateRequest

interface SapccApiGetConsentTemplateRequest {
	readonly baseSiteId: string;
	readonly consentTemplateId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetConsentTemplate
consentTemplateIdRequiredstringConsent template identifier. {string} SapccApiGetConsentTemplate
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetConsentTemplate
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetConsentTemplate

On this page